import * as lit_html from 'lit-html';
import { MenuBaseElementProps, MenuBaseElement } from './MenuBaseElement.js';
import 'lit-html/directives/ref';
import 'lit';

type M2MUserMenuProps = MenuBaseElementProps;
declare class M2MUserMenu extends MenuBaseElement {
    handleLogout: () => void;
    render(): lit_html.TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        "m2m-user-menu": M2MUserMenu;
    }
}

export { M2MUserMenu, M2MUserMenuProps };
